<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCIceCandidate Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_r_t_c_ice_candidate-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RTCIceCandidate Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RTCIceCandidate:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_r_t_c_ice_candidate.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:ab266747584f11600863e635e00cae945"><td class="memItemLeft" align="right" valign="top"><a id="ab266747584f11600863e635e00cae945"></a>
(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <b>NS_UNAVAILABLE</b></td></tr>
<tr class="separator:ab266747584f11600863e635e00cae945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61fbbcb9e4ec53cccda731b9eaa6d1aa"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_ice_candidate.html#a61fbbcb9e4ec53cccda731b9eaa6d1aa">initWithSdp:sdpMLineIndex:sdpMid:</a></td></tr>
<tr class="separator:a61fbbcb9e4ec53cccda731b9eaa6d1aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ab2ee9f77a08aa37d40596fbd7104ac51"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_candidate.html#ab2ee9f77a08aa37d40596fbd7104ac51">sdpMid</a></td></tr>
<tr class="separator:ab2ee9f77a08aa37d40596fbd7104ac51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9a52affb4cd3d6def135c88f2050fd3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_candidate.html#ae9a52affb4cd3d6def135c88f2050fd3">sdpMLineIndex</a></td></tr>
<tr class="separator:ae9a52affb4cd3d6def135c88f2050fd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea18d3ae317f3993cf5ad7698ffb3dfb"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_candidate.html#aea18d3ae317f3993cf5ad7698ffb3dfb">sdp</a></td></tr>
<tr class="separator:aea18d3ae317f3993cf5ad7698ffb3dfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7bb6ca49f238946ae8937f2aaafbd72"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_r_t_c_ice_candidate.html#ad7bb6ca49f238946ae8937f2aaafbd72">serverUrl</a></td></tr>
<tr class="separator:ad7bb6ca49f238946ae8937f2aaafbd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a61fbbcb9e4ec53cccda731b9eaa6d1aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61fbbcb9e4ec53cccda731b9eaa6d1aa">&#9670;&nbsp;</a></span>initWithSdp:sdpMLineIndex:sdpMid:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (instancetype) initWithSdp: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>sdp</em></td>
        </tr>
        <tr>
          <td class="paramkey">sdpMLineIndex:</td>
          <td></td>
          <td class="paramtype">(int)&#160;</td>
          <td class="paramname"><em>sdpMLineIndex</em></td>
        </tr>
        <tr>
          <td class="paramkey">sdpMid:</td>
          <td></td>
          <td class="paramtype">(nullable NSString *)&#160;</td>
          <td class="paramname"><em>NS_DESIGNATED_INITIALIZER</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_ice_candidate.html">RTCIceCandidate</a> from SDP. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="aea18d3ae317f3993cf5ad7698ffb3dfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea18d3ae317f3993cf5ad7698ffb3dfb">&#9670;&nbsp;</a></span>sdp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) sdp</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The SDP string for this candidate. </p>

</div>
</div>
<a id="ab2ee9f77a08aa37d40596fbd7104ac51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2ee9f77a08aa37d40596fbd7104ac51">&#9670;&nbsp;</a></span>sdpMid</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) sdpMid</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>If present, the identifier of the "media stream identification" for the media component this candidate is associated with. </p>

</div>
</div>
<a id="ae9a52affb4cd3d6def135c88f2050fd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9a52affb4cd3d6def135c88f2050fd3">&#9670;&nbsp;</a></span>sdpMLineIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (int) sdpMLineIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The index (starting at zero) of the media description this candidate is associated with in the SDP. </p>

</div>
</div>
<a id="ad7bb6ca49f238946ae8937f2aaafbd72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7bb6ca49f238946ae8937f2aaafbd72">&#9670;&nbsp;</a></span>serverUrl</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) serverUrl</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The URL of the ICE server which this candidate is gathered from. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_ice_candidate_8h_source.html">RTCIceCandidate.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
